Download it now!
Bug 128140 - Formula pick window changing width every time you pick different formula
Summary: Formula pick window changing width every time you pick different formula
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.2.2 release
Hardware: All Windows (All)
: medium major
Assignee: Caolán McNamara
URL:
Whiteboard: target:6.4.0 target:6.3.3
Keywords: bibisectRequest, regression
Depends on:
Blocks:
 
Reported: 2019-10-14 13:10 UTC by Mikeyy - L10n HR
Modified: 2019-10-23 12:02 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Normal window look (132.08 KB, image/png)
2019-10-14 13:10 UTC, Mikeyy - L10n HR
Details
Bug - resized window with click on DB function (75.07 KB, image/png)
2019-10-14 13:12 UTC, Mikeyy - L10n HR
Details
Bug - resized window with click on IPMT function (63.86 KB, image/png)
2019-10-14 13:12 UTC, Mikeyy - L10n HR
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Mikeyy - L10n HR 2019-10-14 13:10:15 UTC
Description:
I'm using latest LibreOffice which is at this time LibreOffice 6.3.2.2 (x64), hr locale, windows 10 1903.
If I try to use formula wizard in Calc (that "Fx" icon in toolbar), when ever I click on different formula name, window with formula names changes width.

You can see in attached pictures normal window look and window sizes after I click on DB or IPMT function.

Also, I couldn't click on FV function at all. Letters start shaking and it selects first function above FV.

I was using 6.2.7 32bit version before and don't remember such issues.

This could be result of some code bug, or maybe even l10n translation problem.
If you find out it's l10n, let me know so I can fix it in translation.

Steps to Reproduce:
1. Open new calc document.
2. Click on function wizard icon in toolbar (Fx).
3. With mouse click on some functions in left part of screen (I made example with DB and IPMT, but almost every function changes width).

Actual Results:
Bad

Expected Results:
Good


Reproducible: Always


User Profile Reset: No



Additional Info:
Comment 1 Mikeyy - L10n HR 2019-10-14 13:10:42 UTC
Created attachment 154997 [details]
Normal window look
Comment 2 Mikeyy - L10n HR 2019-10-14 13:12:17 UTC
Created attachment 154998 [details]
Bug - resized window with click on DB function
Comment 3 Mikeyy - L10n HR 2019-10-14 13:12:34 UTC
Created attachment 154999 [details]
Bug - resized window with click on IPMT function
Comment 4 V Stuart Foote 2019-10-14 13:40:25 UTC
Confirmed on Windows 10 Home 64-bit en-US (1903) with
Version: 6.3.2.2 (x64)
Build ID: 98b30e735bda24bc04ab42594c85f7fd8be07b9c
CPU threads: 4; OS: Windows 10.0; UI render: GL; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded

both OpenGL and Default GDI rendering.

Open Calc
Select the function wizard
search for 'DB' function
select

-> resized droplist

Search for 'IPMT' function
select

-> resized droplist, to one character width

@Caolan, weld issue?
Comment 5 Commit Notification 2019-10-15 07:58:58 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/c418b6fdbefa8d847723a14c25b68bf0c6ac66af

Resolves: tdf#128140 stabilize formula dialog width

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Caolán McNamara 2019-10-15 08:00:12 UTC
fixed in master, backport to 6-3 in gerrit
Comment 7 Commit Notification 2019-10-15 09:11:18 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/commit/198fc5e09784afe32cf681f65009e5ac43e67ba4

Resolves: tdf#128140 stabilize formula dialog width

It will be available in 6.3.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Mikeyy - L10n HR 2019-10-16 08:54:50 UTC
Tested with todays daily 6.4 build, width is stable now.
Thank you for fast fix.
Comment 9 Xisco Faulí 2019-10-16 09:49:14 UTC
(In reply to Mikeyy - L10n HR from comment #8)
> Tested with todays daily 6.4 build, width is stable now.
> Thank you for fast fix.

Thanks for verifying. Setting to VERIFY
Comment 10 Commit Notification 2019-10-23 11:49:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-6-3-3":

https://git.libreoffice.org/core/commit/2787cb32f27601f1d872c85ace89930ac1fcd64c

Resolves: tdf#128140 stabilize formula dialog width

It will be available in 6.3.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.